> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer bans

> Returns all active bans for a customer.

**Required scopes:** `banlist_read`


## OpenAPI

````yaml /api/configuration/v3.6/openapi.json post /action/list_customer_bans
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.6
servers:
  - url: https://api.livechatinc.com/v3.6/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_customer_bans:
    post:
      tags:
        - Customer bans
      summary: List customer bans
      description: Returns all active bans for a customer.
      operationId: list-customer-bans
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          description: A list of active customer bans.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomerBan'
              example:
                - ip: 192.168.8.1
                  agent_id: smith@example.com
                  created_at: '2026-06-07T06:51:43.000000Z'
                  expires_at: '2026-06-14T06:51:43.000000Z'
                - ip: 10.42.42.1
                  customer_id: 18405023-fdd0-4d67-b641-299e3823888c
                  agent_id: smith@example.com
                  thread_id: T00M0307QQ
                  created_at: '2026-06-07T06:55:10.000000Z'
                  expires_at: '2026-06-14T06:55:10.000000Z'
components:
  schemas:
    CustomerBan:
      type: object
      properties:
        ip:
          type: string
          description: The banned IP address.
        customer_id:
          type: string
          description: Unique identifier of the banned customer.
        agent_id:
          type: string
          description: The ID of the agent who issued the ban.
        thread_id:
          type: string
          description: The ID of the thread associated with the ban.
        created_at:
          type: string
          format: date-time
          description: The RFC 3339 date-time when the ban was created.
        expires_at:
          type: string
          format: date-time
          description: The RFC 3339 date-time when the ban expires.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````